2.0.9 Release Notes
Contributions made by Crieve:
* Merge pull request #556 from ImUnicke/questDBmod
* Merge pull request #549 from ImUnicke/att-windowlocking
* Merge pull request #546 from ImUnicke/att-tooltipoverhaul
* There are now icons in the addon title on the addon menu.
* Temporarily stripped out level data while we deal with the changes.
* ...
* Found some more level stuff and updated them. (Addon code only, no items/things)
* Fixed the Group Finder listing in ATTWQ.

Contributions made by ImUnicke:
* fixed tooltips being eaten by other addons *cough* ArkInventory *cough* without removing the functionality provided by other addons
* addition for making chat-links or non-ATT-row tooltips persist ATT data
* added capability to Alt-Click on an ATT window header to lock the window in place
* - removed the true since it's not necessary
* API Harvester now additionally handles Quest data and any reported rewards (rewards are only merged into sourced Quests) - updated Parser to interface correctly with Quest API database - added Quest API DB current as of 2020-09-28 - modifed the 'Hidden Quest Triggers' Quests to actually show under a 'Hidden Quest Triggers' category instead of 'Never Implemented' - added some descriptions for Never Implemented/Hidden Quest Triggers/Unsorted categories
* modified the Raw Lua export of the Parser to export in the same format as used by contributors to maintain the ATT database, so that unsorted content can simply be copy-pasted into the necessary DB source when determined - added the 'text' from the 'questDB.json' file as the 'name' attribute on the unsorted quests as well as into Description metadata
* fixed Parser to not include unnecessary newlines and indentation for 'cost' and 'sym' fields (saves a half meg in categories.lua)
* Merge pull request #557 from ImUnicke/questDBmod
* dont include unsorted quests which literally have no information concerning them - re-parsed with latest updates from parser/harvester changes
* fixed account-wide tracking of altQuests
* modified the Parser to collapse 'altQuestID' fields into the 'altQuests' field for consistency - modified ATT logic to handle 'altQuests' in place of 'altQuestID' (not entirely sure if Grail/WorldQuestTracker imports are ok for repeatable quests... seems to be fine) - encapsulated the quest logic checking if a quest should be considered complete based on a completed altQuest into the 'altcollected' property of a quest object thata returns the questID which causes the quest to be considered collected for that character - modified tooltips showing 'QuestID' to include any 'altQuests' for that Quest ID as well
* Merge branch 'master' of https://github.com/DFortun81/AllTheThings
* added two missing WQ to Tiragarde Sound
* removed logic from Parser to replace race tags with faction tags - removed bad race tagging from old item DB
* adjusted faction tagging for Lil' War Machine, Lil' Siege Tower, Drustvar Piglet to match their respective usable requirements - slight adjustment to tooltip 'Contains' functionality (WIP) - world quests which reward currency while 'Treat Currencies as Containers' will now properly show the items obtainable with the currency - fixed bug with heirloom data in lists
* fixed tooltip inconsistencies for Summary and Contains information. The Summary should now always match the Contains of the tooltip (unless the tooltip is being shown for a row in an ATT window, in which case the Summary will match the row Summary) - fixed Merging of objects to not replace the existing object's parent key (this caused things to disappear from Contains lists because the source parent for one faction would replace the existing source parent of the other faction already in the list when merged, thus filtering the entry entirely from the Contains and leading to the initial Summary/Contains inconsistency... whew hopefully nothing else breaks because of that)
* cleaned up the various Blingtron Toys/NPC/Quest/Reward heirarchies to be consistent  -removed questID from Blingtron reward packages since they are the rewards of the quest not the source of the quest
* removed questID from ICC items which do not start quests - 'The Sacred and the Corrupt' requires Friendly reputation to pick up - sourced all 'Change of Heart' quests in ICC
* missing tiragarde WQ, seems to be both H/A
* point to closest waypoint after plotting waypoints using TomTom
* fix for nil error when using World Quest Tracker
* added 'Judgement of Odyn' WQ to Broken Shore - added 'Arachnid Toxicity' WQ to Broken Shore - added vendor cost for Dreadleather Shoulderguard (rank 1) - added garrison seal of tempered fate HQT - fixed Contains tooltips (again) ((hopefully))
* Merge branch 'master' of https://github.com/DFortun81/AllTheThings
* added alternate Pipper's Supplies objects and tagged with Alliance only
* fixed some symbolic links (and maybe other things?) which no longer pulled correct data in the addon due to having a string key instead of a raw object key
* added logic to accommodate checking 'sourceQuests' of quest objects to know whether they should have their waypoint plotted in TomTom (fixes #426) - moved the closest waypoint call so it's not repeatedly called when there are many subgroups being plotted - moved coordinates from the 'Irontide Lockbox Key' item to the 'Irontide Lockbox' object itself
* added missing world quest that popped up for siege of boralus - added setting option to sort by progress instead of alphabetically (relates to #563) - modified 'Progress' tooltip information for achievements to cover far more achievements with actual information
* applied proper faction-tagging to items from Koralon in Vault of Archavon (since these items are not flagged by the Blizzard API as they should be) - added active WQ to stormsong valley - removed Island Expedition achievement duplication by nesting achievements as appropriate
* fixed itemid for Springrain Pauldrons in lvl 120 Druid class trial set
* started some clean up of achievement credit duplication via criteria => achievement replacement - split shared faction achievements in Kalimdor, Outlands, Northrend so that both faction achievements are visible in debug or account mode as expected
* finished cleaning up the Achievements > Quests groups (resulting in higher Debug numbers, but slightly reduced per-character numbers) - some additional quest clean up
* added a completion icon when showing altQuests of a group to help clarify if any alt quest has already been completed on the character
* do not show 'Unsorted' or 'Hidden Quest Triggers' as Source locations in tooltips (items in those categories should be slowly filtered out into sorted locations by contribs over time) - 'Contains' in Tooltips now properly shows the expected information when 'Debug' is toggled
* cleaned up sources of Llothien Prowler - tiny fix to Contains for showing completed trackable, non-collectible things
* put the Llothien Prowler back under all sources of the Torn Invitation... it's just too laggy to put a quest chain search into tooltips, so just have to accept the source duplication for the sake of visibility - commented out potential capability of searching recursively within a table property of a group, since it can be useful but needs optimization or only used within yielding coroutines...
* fixed hash generation for achievement criteria objects - modified WQ list generation to only merge cached data which is keyed to the questID itself, and otherwise merge as sub-groups any other objects flagged with the questID. This allows for very easily tagging criteria or other objects which may require a specific WQ to be active!
* fixed world bosses becoming nested under their respective WQ - tagged all Family Familiar achievement criterias with their respective WQs
* cleaned up world quest criteria for 'Battle on the Broken Isles'
* cleaned up 'Fishing Round the Isles' criteria on WQs
* cleaned up 'Free For All, More For Me', 'Frontline Warrior', 'Master Calligrapher', 'Nazjatarget Eliminated', 'Tour of the Depths', 'Puzzle Performer' criteria on WQs - added missing achievement 'Frontline Veteran' for both factions with WQ criteria linking and 'war mode' description for clarity - moved tooltip "Criteria for" on achivement criteria objects higher up so it isn't pushed down by optional tooltip lines
* added missing 'Azerfighter' achievement to the proper source location - added the capability to the parser to duplicate any ach() or crit() object under the supplied quest objects using the tag "_quests". This tag is only utilized by the Parser and is removed before saving the DB - converted all prior "altQuests" tagging on achievements and criteria into "_quests" tags - some pet battle achievement nesting to reduce clutter
* clarified description for profession quest in chamber of heart - added shared legion invasion quest to source so that it isn't treated as Unsorted; also gave a little description of how exactly to complete it - added missing horde skinning WQ
* added format checking for 'cost' fields in Parser (since messing it up wasn't detected and allows lua errors in game..... not that i messed it up or anything to find that out of course) - cleaned up 'An Unusual Tome' quest for the warlock green fire - note about the sealed tome/codex interaction by using cost, which would be ideal but currently does not work as desired
* WQ updates - added tooltip option to include sources which are not sourced in the DB
* reparse from previous - fixed some tooltip stuff and improved some performance of tooltip rendering
* added leatherworking WQ for horde - more tooltip testing, blah
* added WQ
* cleaned up stranglethron fishing extravaganza so it shows nicely in /attwq and doesnt duplicate the rewards 3 times
* world quest task API fix
* C_QuestLog.GetQuestTagInfo update
* bumped up max itemID and questID for API harvester - added forced ignoreSource for any item pulled from the API with POOR or COMMON qualities (will be implemented on next API harvest parse... so slow API)
* removed some duplicated functions - fixes to /attwq (though not sure if there's any character which actually can get the proper 'Group Finder' rewards)
* fixed API for leaving party via /att ra
* fixed dumb deadlock in API harvester when too many 'Too fast!' results occur back to back

Contributions made by mogwai316:
* Added new 9.0.1 squirrel achieves.  No criteria yet, since they aren't displayed in game.
* Removed Brutosaur mount from vendors, added to BMAH.

Contributions made by Dmitry Volodin:
* Alliance starting quest
* added Alliance side of the SL prepatch week 1 from Wowhead for now, will get coords and providers soon, fighting constant disconnects for now
* added some missing drops in Exile's Reach
* more Darkmaul Citadel drops and some (very little) data on Alliance prepatch quests
* tracking questin Dalaran
* ignored another item from #478 and some formatting
* removed some unnecessary level 1 restrictions and added some quest triggers
* fixed reward for Sharing the Knowledge quest
* fixed Shadowlands Collector's Edition rewards from "Removed from game" to "Blizzard balance" - added Explorer's Certification as granting Renowned Explorer title - formatting
* another blizzard balance fixup and formatting
* some Uldir hidden quest triggers
* adjusted rewards for allied races unlock quests to reduce duplication
* The Weeping Wound marked as breadcrumb
* removed some duplication
* Formatting (#567)
* fix "I'm Here for the Pets" achievement tooltip
* fix typo
* removed achiev from the list of Jade Forest quests
* removed quest requirements from treasure chests in Exile's Reach as they can be looted at least as early as Emergency First Aid, most likely no requirements at all - added provider for paladin Alliance quest The Divine's Shield in Exile's Reach - fixed npcID on Exile's Reach
* just formatting
* hidden trigger

Contributions made by Gaulish:
* Now we cookin!
* Nice hat updates
* Fixed a couple quests.
* Ice deflector came back somehow
* added tarnished crown and gem studded bracers to alliance quest
* Merge branch 'master' of https://github.com/DFortun81/AllTheThings into PTR
* How to School Serpents book
* Merge branch 'master' of https://github.com/DFortun81/AllTheThings into PTR
* Legion Class Hall changed categories
* Harvest

Contributions made by Gold:
* class trial fixes
* sorted all pre 9.0 mounts so its easier to see 9.0+ mounts
* sorted legion s7 pvp achievements
* made legacy mounts bit easier to watch at + tagged pvp s4 as removed
* another pvp season + error fixes
* pre 2.0 classic mounts did have a source
* categories
* more pvp fos work

Contributions made by Alex:
* Small correction to the AH module for completely fresh installs.
* Another nil check for the AH module.
* Added a message for once the scan completes. Removed the 'Refresh' button; once the scan is complete the window is automatically refreshed.
* One more minor edit.
* Changed the 'Reagents' category in the AH module to use the filterID tech.
* Changed the 'Achievements' object type to use filterID tech. Changed some object type descriptions. Changed some object type icons. All changes are for the AH module.
* Added the "Zealous Felslinger's Robe" to 5 Legion War Supplies in Antoran Wastes. Alphabetized several groups in the Antoran Wastes rares section.
* Disabled buyout prices from the tooltip. This is causing shared appearances and other Contains tooltips to break. This will return in the future.
* Removed "Message for Saurfang" from The Lost Isles, as it's offered in Durotar.
* Several RAF rewards now appear with "Hide BoE Items" enabled while showing Blizzard Balance filtered items.
* TradeSkillMaster and the AH module should now play nicely with one another.
* Toggle Unobtainable Items on the AH module now toggles correctly. Changed some icons and descriptions in the module.
* Removed the spell ID from the "Sealed Tome of the Lost Legion" because the spell is learned at the end of an associated quest chain, not from the book itself. This also resolves the filterID alert when the tome is available on the AH at time of scan.
* Returned the spellID to the Sealed Tome of the Lost Legion, but put it in a groups field.
* Returned the "Sealed Tome of the Lost Legion" to its original collection state. Fixed a 'bug' where some filter IDs were coming back as nil, causing a false positive when scanning the AH.
* "Sealed Tome of the Lost Legion" is no longer scared and has returned to the AH module window.
* The Lunarwing flight form spell for druids has been removed from the campaign quest, as it doesn't appear to be taught to the player.
* Blacklisted the Scroll of Teleport: Ravenholdt.
* Removed hooks for WorldMapTooltip, which was deprecated in favor of GameTooltip.
* Copied AllTheThings.lua from the Beta branch to the PTR branch. :thumbs_up:

Contributions made by slumber:
* added fabious hidden quest trigger
* i typed 'i' instead of 'q' for a bunch of quests because i'm illiterate.  fixed!
* catching up on #errors
* hopefully fixed pilgrim's bounty/harvest festival nonsense for now
* added coords for the harvest festival yearly quests
* added a missing tracking quest
* some #errors catchup
* a little more #errors catchup
* separated mac'aree rares and treasures
* added another missing item to molten cay crate
* more jade forest quests
* more jade forest quests

Contributions made by Oxlotus:
* Added some of the patch 7.2 portion of the death knight class campaign.
* Forgot to save some of the work - more 7.2 death knight stuff.
* The death knight campaign is complete.
* Lunar Festival should no longer be stuck on Retrieving Data...
* Sorted the Silverscope Longrifle into New Characters, as it's the starting weapon for allied race hunters. Fixes #456
* Added the paladin class mount map ID to Stratholme. Fixes #458
* Blacklisted the Barrel of Storm Brew. Fixes #481
* Added monk class campaign map ID to Terrace of Endless Spring. Fixes #477
* Blacklisted the Essence of the Whirlwind quest item. Fixes #478
* Added two map IDs to Stormstout Brewery for monk class mount campaign. Fixes #480
* Resorted the Oshu'gun Ring as a world drop. Fixes #449
* Rewrote the description for Phalanx to be shorter and include both strategies for angering him/her/it. Fixes #448
* Fixed the symlink for Blazik Fireclaw in the Underbelly of Northrend Dalaran. Fixes #541
* Blacklisted all Sentinax beacons.
* Replaced the "In-Game Shop" filter with the "Blizzard Balance" filter. Fixed some bugs along the way. Updated some syntax too. Fixes #498
* Added priest class mount map ID to The Maelstrom. Fixes #442
* Added Niskara as its own map file and added some maps to it. Fixes #440
* Added the Legion class hall campaign map for discipline priests. Fixes #436
* Added some Shaman class hall campaign maps to Deepholm. Fixes #427
* Added the dark iron dwarf Molten Core scenario map. Fixes #380
* Added the Tarren Mill vs Southshore map. Fixes #324
* Added the "Lei Shen's Burial Trove" object.
* Blacklisted additional sentinax beacons. Fixed several merge confusions for the Blizzard Balance filter.
* Added coordinates to Broken Shore rares, so they're easier to locate for the "Take Out the Head..." quest.
* Added a hidden quest trigger for the Voidtalon of the Dark Star.
* Added hidden quest tracker for garrison shipyard.
* Updated rares in Mulgore.
* The "Deathguard Buckler" and "Executor Staff" are no longer treated as collectible, as such, they no longer appear under the "Assault on the Rotbrain Encampment" quest in Deathknell.
* Corrected the syntax used for coordinates on Broken Share rares. Now ALT+Right Click works.
* The auction house module is back!

Contributions made by Aveza:
* feat: Added coordinates for Dalaran faction NPCs

Contributions made by Peter Morgan:
* Fixed spacing inconsistencies in the description for Sheddle's Chest

Contributions made by Pr3vention:
* Updates from Master before Shadowlands pre-patch testing
* Support for Shadowlands client
* Fixed a couple more instances of breaking API changes
* First pass of Week 1 prepatch content added
* Fixed questID for Ptch Black Scourgestones and added reward
* Added Falric as a rare-spawn
* Added The Prophet Tharon'ja
* Added Novos the Summoner
* Added Lady Deathwhisper
* Event rares found to have a daily kill tracking reset
* Added todays dailies
* Fixed a few missing daily tags
* Added Skadi the Ruthless
* Fixed a bad API call for currency info from the "Currency" stats tab
* Fixed a bad API call for garrison/order hall talent names
* Added Ingvar the Plunderer
* Added Prince Keleseth
* Added The Black Knight
* Added the incredibly disappointing "new" Death Knight starting experience
* Added first pass of Exile's Reach for the Horde
* Added missing object names and textures for Exile's Reach
* Added the first dozen or so alliance quests for Exile's Reach
* Added missing details for the Abandoned Treasure Chest
* Finished the alliance quest chain for Exile's Reach and added all armor variant rewards
* Added most remaining Exile's Reach quests
* Added a placeholder for Nathanos. Need more data
* Added professor putricide
* More currency-related API fixes
* Added the next phase of pre-launch event quests
* Added Bronjahm
* Added Scourgelord Tyrannus
* Added Forgemaster Garfrost
* Added all remaining Icecrown rare boss stubs and added loot to all bosses
* Added two missing bosses
* Added Zod's Ecohoing Longbow to Lady Deathwhisper
* Details added to Prince Taldaram
* Added missing details for Elder Nadox
* Added more icecrown dailies
* Added missing details for 3 additional bosses
* Added an identifier for the set order of boss spawns. Might be worth doing something with

